| Home | Libraries | People | FAQ | More

## Struct template customize_stream<Ch, Traits, bool, void>

boost::property_tree::customize_stream<Ch, Traits, bool, void>

## Synopsis

    // In header: <boost/property_tree/stream_translator.hpp>

    template<typename Ch, typename Traits>
    struct customize_stream<Ch, Traits, bool, void> {

      // public static functions
      static void insert(std::basic_ostream< Ch, Traits > &, bool);
      static void extract(std::basic_istream< Ch, Traits > &, bool &);
    };

## Description

### `customize_stream` public static functions

1.     static void insert(std::basic_ostream< Ch, Traits > & s, bool e);

2.     static void extract(std::basic_istream< Ch, Traits > & s, bool & e);